library ac_dart.descriptor_model.confluence.scopes;

import '../descriptor_model.dart';

class ConfluenceScope extends Scope {
  ConfluenceScope._(String key) : super(key);
}

final _ConfluenceScopes confluenceScopes = new _ConfluenceScopes._();

class _ConfluenceScopes {
  final _CoreConfluenceScopes core = new _CoreConfluenceScopes._();

  _ConfluenceScopes._();
}

class _CoreConfluenceScopes extends CoreScopes<ConfluenceScope> {
  final ConfluenceScope spaceAdmin = new ConfluenceScope._('space_admin');

  _CoreConfluenceScopes._()
      : super((String name) => new ConfluenceScope._(name));
}
