library ac_dart.descriptor_model.jira.scopes;

import '../descriptor_model.dart';

class JiraScope extends Scope {
  JiraScope._(String key) : super(key);
}

final _JiraScopes jiraScopes = new _JiraScopes._();

class _JiraScopes {
  final _CoreJiraScopes core = new _CoreJiraScopes._();

  _JiraScopes._();
}

class _CoreJiraScopes extends CoreScopes<JiraScope> {
  final JiraScope projectAdmin = new JiraScope._('project_admin');

  _CoreJiraScopes._() : super((String name) => new JiraScope._(name));
}
